CVE-2019-2842

Impact:
Moderate
Public Date:
2019-07-16
CWE:
CWE-119
Bugzilla:
1730110: CVE-2019-2842 OpenJDK: Missing array bounds check in crypto providers (JCE, 8223511)

The MITRE CVE dictionary describes this issue as:

Vulnerability in the Java SE component of Oracle Java SE (subcomponent: JCE). The supported version that is affected is Java SE: 8u212. Difficult to exploit vulnerability allows unauthenticated attacker with network access via multiple protocols to compromise Java SE. Successful attacks of this vulnerability can result in unauthorized ability to cause a partial denial of service (partial DOS) of Java SE. Note: This vulnerability applies to Java deployments, typically in clients running sandboxed Java Web Start applications or sandboxed Java applets (in Java SE 8), that load and run untrusted code (e.g., code that comes from the internet) and rely on the Java sandbox for security. This vulnerability can also be exploited by using APIs in the specified Component, e.g., through a web service which supplies data to the APIs. CVSS 3.0 Base Score 3.7 (Availability impacts). CVSS Vector: (CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:N/A:L).

Find out more about CVE-2019-2842 from the MITRE CVE dictionary dictionary and NIST NVD.

CVSS v3 metrics

CVSS3 Base Score 3.7
CVSS3 Base Metrics CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:N/A:L
Attack Vector Network
Attack Complexity High
Privileges Required None
User Interaction None
Scope Unchanged
Confidentiality None
Integrity Impact None
Availability Impact Low

Red Hat Security Errata

Platform Errata Release Date
Red Hat Enterprise Linux 7 (java-1.8.0-openjdk) RHSA-2019:1815 2019-07-22
Red Hat Enterprise Linux 8 (java-1.8.0-openjdk) RHSA-2019:1816 2019-07-22
Red Hat Enterprise Linux 7 RHSA-2019:1839 2019-07-23
Red Hat Enterprise Linux 6 RHSA-2019:1840 2019-07-23
Red Hat Enterprise Linux 6 (java-1.8.0-openjdk) RHSA-2019:1811 2019-07-22

Affected Packages State

Platform Package State
Red Hat Enterprise Linux 8 java-11-openjdk Not affected
Red Hat Enterprise Linux 7 java-11-openjdk Not affected
Unless explicitly stated as not affected, all previous versions of packages in any minor update stream of a product listed here should be assumed vulnerable, although may not have been subject to full analysis.
Last Modified

CVE description copyright © 2017, The MITRE Corporation